: Class DeleteCategoryServlet

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class DeleteCategoryServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--DeleteCategoryServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class DeleteCategoryServlet
extends javax.servlet.http.HttpServlet

This class displays the form. through which the sysad can add delete existing categories . Assumptions: Category is deleted only if it is empty. A category is empty if:

1. It does not contain any sub-categories.
2. Or it does not contain any products placed for auction under it.

See Also:
  Serialized Form

Constructor Summary
`DeleteCategoryServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` `doGet` - this just calls `deleteTheCategory` in QueryEngine.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` This is empty.
`void` | `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteCategoryServlet

    public DeleteCategoryServlet()

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  `doGet` - this just calls `deleteTheCategory` in QueryEngine. The method deleteTheCategory in query engine takes care of whether the category can be deleted or not. If it can be deleted, its deleted.
  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `HttpServletRequest` - request
    `HttpServletResponse` - response

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  This is empty.
  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `HttpServletRequest` - request
    `HttpServletResponse` - response

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD